// creator  : weidu.exe (version 23100)
// argument : BAZDRA01.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BAZDRA01~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 5 even though they appear after this state */
~True()~ THEN BEGIN 0 // from:
  SAY #67618 /* ~Who dare disturbs Draconis?  More pestering emissaries from the cloistered monastery?  Surely when the last batch did not return, Balthazar would have learned his lesson.~ [BAZDRA07] */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #67619 /* ~No... I see I am wrong.  You are not brothers of the tattooed one.  *sniff*  I smell the taint of Bhaal on you.~ [BAZDRA08] */
  IF ~~ THEN REPLY #67620 /* ~I am <CHARNAME>, and I'm here to destroy you!~ */ GOTO 2
  IF ~~ THEN REPLY #67621 /* ~Stand aside, Draconis. This is between me and Abazigal.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.1 1.0
  SAY #67622 /* ~My father warned me of you, <CHARNAME>... the Bhaalspawn kin who would steal his destiny.  And my birthright!~ */
  IF ~~ THEN REPLY #67623 /* ~Your father?  Are you Abazigal's son?~ */ GOTO 3
  IF ~~ THEN REPLY #67624 /* ~Your only destiny is to die by my sword!~ */ GOTO 3
  IF ~~ THEN REPLY #67625 /* ~Birthright?  What are you talking about?~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.2 2.1 2.0
  SAY #67626 /* ~As if a mere <PRO_RACE> were even worthy of having an immortal's essence flowing through their veins!  My kind are the only creatures deserving of Bhaal's taint!~ */
  IF ~~ THEN REPLY #67627 /* ~Your kind?  What are you talking about?~ */ GOTO 4
  IF ~~ THEN REPLY #67628 /* ~I sense this is going to end in violence.~ */ GOTO 4
  IF ~~ THEN REPLY #67629 /* ~The only thing you deserve is a quick and gruesome death!~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.2 3.1 3.0
  SAY #67630 /* ~You cannot stop this, <CHARNAME>!  The Lord of Murder shall rise again, and I shall prove myself worthy to Abazigal by bathing in your tainted blood!~ [BAZDRA09] */
  IF ~~ THEN DO ~CreateCreatureObject("STALKE",Myself,0,0,0)
CreateCreatureObject("STALKE",Myself,0,0,0)
CreateCreatureObject("STALKE",Myself,0,0,0)
CreateCreatureObject("STALKE",Myself,0,0,0)
Enemy()
~ EXIT
END

IF WEIGHT #0 ~HPLT(Myself,2)~ THEN BEGIN 5 // from:
  SAY #67631 /* ~You think I can be defeated so easily?  More evidence of your species' inferiority!  Witness the future, <CHARNAME>!~ [BAZDRA10] */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut226a")
~ UNSOLVED_JOURNAL #67718 /* ~Abazigal's Enclave

I have found the entrance to Abazigal's cavernous realm, and had the pleasure of meeting his son Draconis.  I imagine the encounter with the father will be equally unpleasant.
~ */ EXIT
END
